From 64e1e1631c6af0b35b0c807b435c4795348d775e Mon Sep 17 00:00:00 2001
From: Mathilde Merle <mathilde.merle@ihu-liryc.fr>
Date: Tue, 15 Oct 2019 10:46:26 +0200
Subject: [PATCH] patchName

---
 CMake/GenerateDCMTKConfigure.cmake | 4 ++--
 oflog/libsrc/oflog.cc              | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/CMake/GenerateDCMTKConfigure.cmake b/CMake/GenerateDCMTKConfigure.cmake
index 19fb179a6..2512eab89 100755
--- a/CMake/GenerateDCMTKConfigure.cmake
+++ b/CMake/GenerateDCMTKConfigure.cmake
@@ -571,8 +571,8 @@ ENDIF(WIN32 AND NOT CYGWIN)
   CHECK_FUNCTIONWITHHEADER_EXISTS(isinf "${HEADERS}" HAVE_PROTOTYPE_ISINF)
   CHECK_FUNCTIONWITHHEADER_EXISTS(isnan "${HEADERS}" HAVE_PROTOTYPE_ISNAN)
   CHECK_FUNCTIONWITHHEADER_EXISTS(finite "${HEADERS}" HAVE_PROTOTYPE_FINITE)
-  CHECK_FUNCTIONWITHHEADER_EXISTS(std::isinf "${HEADERS}" HAVE_PROTOTYPE_STD__ISINF)
-  CHECK_FUNCTIONWITHHEADER_EXISTS(std::isnan "${HEADERS}" HAVE_PROTOTYPE_STD__ISNAN)
+  CHECK_FUNCTIONWITHHEADER_EXISTS("std::isinf(0.)" "${HEADERS}" HAVE_PROTOTYPE_STD__ISINF)
+  CHECK_FUNCTIONWITHHEADER_EXISTS("std::isnan(0.)" "${HEADERS}" HAVE_PROTOTYPE_STD__ISNAN)
   CHECK_FUNCTIONWITHHEADER_EXISTS(std::finite "${HEADERS}" HAVE_PROTOTYPE_STD__FINITE)
   CHECK_FUNCTIONWITHHEADER_EXISTS(flock "${HEADERS}" HAVE_PROTOTYPE_FLOCK)
   CHECK_FUNCTIONWITHHEADER_EXISTS(gethostbyname "${HEADERS}" HAVE_PROTOTYPE_GETHOSTBYNAME)
diff --git a/oflog/libsrc/oflog.cc b/oflog/libsrc/oflog.cc
index 753c74de4..5f66040ae 100644
--- a/oflog/libsrc/oflog.cc
+++ b/oflog/libsrc/oflog.cc
@@ -65,7 +65,7 @@ static void OFLog_init()
 
     console->setLayout(OFmove(layout));
     rootLogger.addAppender(console);
-    rootLogger.setLogLevel(dcmtk::log4cplus::INFO_LOG_LEVEL);
+    rootLogger.setLogLevel(dcmtk::log4cplus::FATAL_LOG_LEVEL);
 }
 
 // private class, this class's constructor makes sure that OFLog_init() is
-- 
2.17.1

